Skip to main content
DELETE
/
v1
/
agents
/
{agentId}
/
telephony
/
phone-numbers
Delete phone numbers from a project
curl --request DELETE \
  --url https://api.us.poly.ai/v1/agents/{agentId}/telephony/phone-numbers \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "phoneNumbers": [
    "<string>"
  ]
}
'
{
  "deleted": [
    "<string>"
  ],
  "errors": [
    {
      "phoneNumber": "<string>",
      "error": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

agentId
string
required

Body

application/json

Phone numbers to release in a single call.

Releases are processed independently; see the response for per-number results.

phoneNumbers
string[]
required

List of phone numbers to delete

Minimum array length: 1

Response

Successful response

Per-number results of a batch release — phone numbers that were successfully released, plus any that couldn't be and why.

deleted
string[]
required

Successfully deleted phone numbers

errors
object[]

Per-number errors (omitted when empty)

Last modified on April 22, 2026